package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkTradeOrderBalanceBillQueryRequest struct {
	/*
	   入参     */
	OrderBalanceBillRequest *domain.AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest `json:"order_balance_bill_request,omitempty" required:"false" `
}

func (s *AlibabaWdkTradeOrderBalanceBillQueryRequest) SetOrderBalanceBillRequest(v domain.AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillRequest) *AlibabaWdkTradeOrderBalanceBillQueryRequest {
	s.OrderBalanceBillRequest = &v
	return s
}

func (req *AlibabaWdkTradeOrderBalanceBillQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderBalanceBillRequest != nil {
		paramMap["order_balance_bill_request"] = util.ConvertStruct(*req.OrderBalanceBillRequest)
	}
	return paramMap
}

func (req *AlibabaWdkTradeOrderBalanceBillQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
